import React, {useEffect, useState} from 'react';
import TrackDisplay from './components/TrackDisplay';
import api from "./api";
import Track from './model/track.model';

const App: React.FC = () => {
    const [tracks, setTracks] = useState(new Array<Track>());

    useEffect(() => {
        api.get("/tracks/")
            .then(response => setTracks(response.data));
    }, []);

    return (
        <div className="App">
            {tracks.map(t => (
                <TrackDisplay key={t.id} track={t}/>
            ))}
        </div>
    );
}

export default App;
