import {FC, useEffect, useState} from "react";

const Icon: FC<IconProps> = ({name, hover, title, onClick}) => {
    const [hovering, setHovering] = useState(false);
    const [className, setClassName] = useState("bi bi-" + name);

    useEffect(() => {
        let icon;

        if (hover && hovering) {
            icon = hover;
        } else {
            icon = name;
        }

        setClassName("bi bi-" + icon);
    }, [hovering, name, hover]);

    return (
        <i className={className}
           title={title}
           onMouseEnter={() => setHovering(true)}
           onMouseLeave={() => setHovering(false)}
           onClick={onClick}></i>
    );
};

interface IconProps {
    name: string
    hover?: string
    title?: string
    onClick?: () => void
}

export default Icon;