import {FC, FormEvent, useState} from "react";

const SearchSongForm: FC<SearchSongFormProps> = ({submitSearchHandler}) => {
    const [searchQuery, setSearchQuery] = useState("");

    const submitFormHandler = (e: FormEvent<HTMLFormElement>) => {
        e.preventDefault();
        submitSearchHandler(searchQuery);
    };

    return (
        <form onSubmit={submitFormHandler}>
            <input
                name="query"
                type="string"
                placeholder="Search query"
                required
                value={searchQuery}
                onChange={e => setSearchQuery(e.currentTarget.value)}/>
            <button>Search</button>
        </form>
    );
};

interface SearchSongFormProps {
    submitSearchHandler: (query: string) => void
}

export default SearchSongForm;