import {FC, useState} from "react";
import {Container, Nav, Navbar} from "react-bootstrap";
import NavTab from "../components/NavTab";
import "../style/navbar.scss";

const NavbarContainer: FC = () => {
    const [activeKey, setActiveKey] = useState("library");

    return (
        <Navbar bg="dark">
            <Container>
                <Nav className="me-auto" activeKey={activeKey}>
                    <NavTab eventKey="library" label="Library" icon="vinyl" activeIcon="vinyl-fill"
                            activeKey={activeKey} onTabClick={setActiveKey}/>
                    <NavTab eventKey="search" label="Search" icon="search" activeKey={activeKey}
                            onTabClick={setActiveKey}/>
                    <NavTab eventKey="playlists" label="Playlists" icon="bookmarks" activeIcon="bookmarks-fill"
                            activeKey={activeKey} onTabClick={setActiveKey}/>
                    <NavTab eventKey="spotify-login" label="Spotify Login" icon="spotify" activeIcon="spotify"
                            activeKey={activeKey}
                            onTabClick={() => window.open("http://localhost:8080/module/spotify/login", "_blank")}/>
                </Nav>
            </Container>
        </Navbar>
    );
};

export default NavbarContainer;