import React from 'react';
import ReactDOM from 'react-dom/client';
import reportWebVitals from './reportWebVitals';
import {BrowserRouter, Route, Routes} from 'react-router-dom';
import './style/index.scss';
import NavbarContainer from "./containers/Navbar.container";
import SearchContainer from "./containers/Search.container";
import MainContainer from './containers/Main.container';

const root = ReactDOM.createRoot(
    document.getElementById('root') as HTMLElement
);

root.render(
    <React.StrictMode>
        <BrowserRouter>
            <div className="d-flex flex-row">
                <div className="sidebar">
                    <NavbarContainer/>
                </div>
                <div className="p-3">
                    <Routes>
                        <Route path="/" element={<MainContainer/>}/>
                        <Route path="/library" element={<MainContainer/>}/>
                        <Route path="/search" element={<SearchContainer/>}/>
                    </Routes>
                </div>
            </div>
        </BrowserRouter>
    </React.StrictMode>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
